Subject: Re: [bug#36415] [PATCH] gnu: Add qlogo.

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 02 Jul 2019 10:50:45 +0200

Arun Isaac <[email-masked]> writes:

>> I got this when running rounds=2:
>> The following builds are still in progress:
>>    /gnu/store/yv7gjrplyym3arqi6qqiiqy3l4wzszp3-qlogo-0.92.drv
>>    /gnu/store/ivln0c98vr9n8j25alx1dg1gbzpja11k-qtbase-5.11.3.drv
>>    /gnu/store/ysv72wwn0gfjiqx2y4rxbf0gnhiv94yp-cups-2.2.11.drv
>>    /gnu/store/mimhpwdwik9madwir21a2d0z6i1in7j0-cups-filters-1.23.0.drv
>>    /gnu/store/syc8fwdl3mz2kxncd1k2mkqq4mslvxyv-qlogo-0.92.drv
>
> I get a similar message too.
>
>> I'm interpreting this as qlogo is not reproducible, no?
>
> I don't know. I have never understood how reproducibility checking works
> in Guix. Shouldn't --rounds=2 cause `guix build' to error out if there
> is some non-determinism?

Yes.

This might be a regression.

Build being reported as “in progress” is a feature.  It’s used to
indicate remaining builds when more than one thing is being built.

In this case, though, it seems like a bug.

To test for reproducibility in this case you may want to use “--check”
after building the thing once.

-- 
Ricardo